@model FMF.Toetscie.Models.Course

@{
    ViewData["Title"] = Model.Name;
}

<nav aria-label="breadcrumb">
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a asp-controller="Home" asp-action="Index">Home</a></li>
        <li class="breadcrumb-item"><a asp-controller="Home" asp-action="DegreeView" asp-route-degreeName="@Model.DegreeName">@Model.DegreeName</a></li>
        <li class="breadcrumb-item active">@Model.Name</li>
    </ol>
</nav>

<div>
    <h1 class="display-4">@Model.Name</h1>
    <h2>Exams</h2>
    <ul class="list-group">
        @foreach (var exam in Model.Exams)
        {
            <li class="list-group-item">
                <span>
                    @(exam.Date?.ToString("yyyy-MM-dd") ?? "(date unknown)"):
                    @if(exam.Author is not null) {
                        @:Lecturer @exam.Author
                    }
                </span>
                @if (exam.Route != null)
                {
                    <a href="/@exam.Route" target="_blank" class="badge bg-secondary rounded-pill">
                        <i class="fa-solid fa-file-lines"></i>
                        @exam.Type
                    </a>
                }

                @if (exam.Solutions != null)
                {
                    <a href="/@exam.Solutions.Route" target="_blank" class="badge bg-secondary rounded-pill">
                        <i class="fa-solid fa-list-check"></i>
                        Solutions
                    </a>
                }
            </li>
        }
    </ul><br>
    <h2 class="secondary-title">Student notes</h2>
    <ul class="list-group">
        @foreach (var note in Model.Notes)
        {
            <li class="list-group-item">
                <span>
                    @(note.Date?.ToString("yyyy") ?? "(date unknown)"):
                    @if (note.Title is not null)
                    {
                        @note.Title
                    }
                    @if(note.Author is not null) {
                        <span> by </span>@note.Author
                    }
                </span>
                <a href="/@note.Route" target="_blank" class="badge bg-secondary rounded-pill">
                    <i class="fa-solid fa-file-lines"></i>
                    Notes
                </a>
            </li>
        }
    </ul>
</div>
